package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.CpsContentInfo;

import java.util.List;

/**
 * 发布内容Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-14
 */
public interface CpsContentInfoMapper
{
    /**
     * 查询发布内容
     *
     * @param id 发布内容主键
     * @return 发布内容
     */
    public CpsContentInfo selectCpsContentInfoById(Long id);

    /**
     * 查询发布内容列表
     *
     * @param cpsContentInfo 发布内容
     * @return 发布内容集合
     */
    public List<CpsContentInfo> selectCpsContentInfoList(CpsContentInfo cpsContentInfo);

    /**
     * 新增发布内容
     *
     * @param cpsContentInfo 发布内容
     * @return 结果
     */
    public int insertCpsContentInfo(CpsContentInfo cpsContentInfo);

    /**
     * 修改发布内容
     *
     * @param cpsContentInfo 发布内容
     * @return 结果
     */
    public int updateCpsContentInfo(CpsContentInfo cpsContentInfo);

    /**
     * 删除发布内容
     *
     * @param id 发布内容主键
     * @return 结果
     */
    public int deleteCpsContentInfoById(Long id);

    /**
     * 批量删除发布内容
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCpsContentInfoByIds(Long[] ids);

    void updateCollectContent(Long id);

    void updateDisCollectContent(Long id);

    void updateLikeContent(Long id);

    void updateDisLikeContent(Long id);

}
